// LeetCode: 1588. Sum of All Odd Length Sub-arrays.
public class SumOfSubArray {
    public int solution(int[] arr) {
        int sum = 0;
        int left = 0;
        int right = 0;
        while (true) {
            if (left == right) {
                sum += arr[left];
                right += 2;
            } else if (left < right && right < arr.length) {
                for (int j = left; j < right + 1; j++) {
                    sum += arr[j];
                }
                right += 2;
            } else if (right >= arr.length) {
                left++;
                right = left;
                if (left >= arr.length) {
                    break;
                }

            }
        }
        return sum;
    }
        public static void main (String[]args){
            int[] nums = {1, 2, 3, 4, 5};
            SumOfSubArray array = new SumOfSubArray();
            int answer = array.solution(nums);
            System.out.println(answer);
        }
}
